package net.sergeych.kiloparsec.adapter

import kotlinx.coroutines.channels.Channel

/**
 * Transport device for inet protocol family with graceful shutdown on [close]
 */
@Suppress("unused")
class InetTransportDevice(
    inputChannel: Channel<UByteArray>,
    outputChannel: Channel<UByteArray>,
    val remoteAddress: NetworkAddress,
    doClose: (suspend ()->Unit)? = null,
    doFlush: (suspend ()->Unit)? = null,
) : ProxyDevice(inputChannel, outputChannel, doClose, doFlush) {
    override fun toString(): String = "@$remoteAddress"
}